Bug 678196 (perl-String-Errf) - Review Request: perl-String-Errf - Simple sprintf-like dialect
Summary: Review Request: perl-String-Errf - Simple sprintf-like dialect
Keywords:
Status: CLOSED ERRATA
Alias: perl-String-Errf
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/String-Errf/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-17 04:37 UTC by Iain Arnell
Modified: 2011-05-02 22:27 UTC (History)
2 users (show)

Fixed In Version: perl-String-Errf-0.006-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-02 22:27:14 UTC
Type: ---
mmaslano: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-02-17 04:37:11 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-String-Errf.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-String-Errf-0.006-1.fc16.src.rpm

Description:
String::Errf provides errf, a simple string formatter that works something
like sprintf. It is implemented using String::Formatter and Sub::Exporter.
Their documentation may be useful in understanding or extending
String::Errf.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2845794

*rt-0.10_01

Comment 1 Marcela Mašláňová 2011-03-30 09:13:55 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2959891
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides perl-String-Errf-0.006-1.fc16.noarch.rpm 
perl(String::Errf) = 0.006
perl-String-Errf = 0.006-1.fc16
rpm -qp --requires perl-String-Errf-0.006-1.fc16.noarch.rpm 
perl(:MODULE_COMPAT_5.12.3)  
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
perl(base)  
perl(Carp)  
perl(Params::Util)  
perl(Scalar::Util)  
perl(strict)  
perl(String::Formatter) >= 0.102081
perl(Sub::Exporter)  
perl(Time::Piece)  
perl(warnings)  
rpmlib(PayloadIsXz) <= 5.2-1

APPROVED

Comment 2 Iain Arnell 2011-03-30 16:11:25 UTC
New Package SCM Request
=======================
Package Name: perl-String-Errf
Short Description: Simple sprintf-like dialect
Owners: iarnell
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-03-30 16:42:27 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-03-31 03:08:01 UTC
perl-String-Errf-0.006-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-String-Errf-0.006-1.fc15

Comment 5 Fedora Update System 2011-04-05 21:43:20 UTC
perl-String-Errf-0.006-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 6 Fedora Update System 2011-04-24 06:42:26 UTC
perl-String-Errf-0.006-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-String-Errf-0.006-1.fc14

Comment 7 Fedora Update System 2011-04-24 23:58:19 UTC
perl-String-Errf-0.006-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 8 Fedora Update System 2011-05-02 22:27:09 UTC
perl-String-Errf-0.006-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.